Page MenuHomePhabricator

Dragging cards to columns outside of viewport is impossible (requires tricks to bring them within the screen)
Closed, ResolvedPublic

Description

Upstream report: https://secure.phabricator.com/T5240 -- and below we have some debate on whether dragging cards in Chrome + OSX is possible or not, easy or not. More feedback from Mac users is welcome.

Original description:

On a board like https://phabricator.wikimedia.org/project/board/67/
scroll to bottom of needs triage and then try and move it right to the tracking column
It's impossible as the tracking column is off screen.
It should be possible to drag the card off screen.

Cf. https://lists.wikimedia.org/pipermail/wikitech-l/2015-October/083757.html:

My main trick for moving items between columns on a board that has a lot of columns is to zoom my browser out so far that the text is microscopic (and all the columns are visible). Then use the browser find feature (Ctrl-F) to highlight the task you want to move, so you can see it. Then drag it. For me, that's easier than coordinating the "scroll while dragging" operation.

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: Phabricator.
Jdlrobson changed Security from none to None.
Jdlrobson added a subscriber: Jdlrobson.

Select a card, and without leaving it, press the "up arrow" in your keyboard to make the page scroll up.

That's not very intuitive... and assumes I am on a computer. I might be on an iPad.

Have you tried a workboard in an iPad?

No just guessing as there won't be an up arrow there. Just tried this on Chrome Mac and up arrow trick doesn't work so that trick doesn't help me :(

I just don't think you can drag anything in touch devices, tablets included.

Are you sure you cannot scroll up the page via keyword while having a card selected with your mouse? It works in Chrome and Firefox Linux for me, and I would expect more complaints if this is not working in Mac...

Qgil triaged this task as Low priority.Dec 11 2014, 8:15 AM
Qgil moved this task from Backlog to Need Discussion on the Phabricator (Upstream) board.

Nope scrolling is impossible on Mac and if it's not this is a super serious usability issue. In mean time I am having to drag them column to column.

Scrolling is not impossible on a Mac, I do it every day. The way to drag things off the viewable browser area in a Mac (this just isn't Phabricator) is to hold the item with one finger and scroll using 2 other fingers like normal.

When the current column has many cards and the column to move the card to is way shorter:
You can drag (without releasing the mouse button) a card from its current column to the new column and then move the mouse pointer up until you've reached the position in the new column where you'd like to drop the card and release the mouse button.

(As this came up for a second time we might want to document that under https://www.mediawiki.org/wiki/Phabricator/Project_management#Boards , T504?)

This sounds like a browser/OS thing and less of an actual Phabricator bug I think.

Yeh doesn't work for me this way... maybe Chrome/OSX specific. Can anyone else confirm same issue?

Andre something like this needn't be documented it should just be obvious IMO.

Qgil renamed this task from Should be possible to drag cards to unscrollable regions to Difficult ("impossible"?) to drag cards to unscrollable regions in OSX.Dec 13 2014, 10:18 AM
Qgil updated the task description. (Show Details)
Qgil updated the task description. (Show Details)

(As this came up for a second time we might want to document that under https://www.mediawiki.org/wiki/Phabricator/Project_management#Boards , T504?)

Comment added to https://www.mediawiki.org/wiki/Phabricator/Project_management#Maintaining_Boards , in a sentence that probably can be improved.

Is there an upstream bug we can link to? I'd be interested in checking out code and seeing if I can work this out and get it fixed.

Well, for sure dragging requires two hands and prolonged clicking. Is this a descriptive enough summary?

Practically speaking, "impossible" is not too far from reality for me. Most of the times, I end up filtering the workboard so that only the task I want to move is shown. I don't really use the dragging feature within the full workboard of Phabricator and Phabricator.org.

I've been suffering this also, Firefox in OSX.

The scrolling works but gotta do it very slowly, and TIL about the zooming out trick.

It could certainly be better though

Nemo_bis renamed this task from Difficult ("impossible"?) to drag cards to unscrollable regions in OSX to Not possible to drag cards to columns outside of viewport.EditedMay 13 2015, 8:36 AM

I copied the more descriptive summary of the merged task.

Qgil renamed this task from Not possible to drag cards to columns outside of viewport to Dragging cards to columns outside of viewport is unintuitive.May 13 2015, 8:58 AM

We have reports of users being a able to move cards outside of the viewport with different browsers and operating systems. Unless someone provides a reproduceable combination, the problem is about this functionality being unintuitive, not "impossible".

We have reports of users being a able to move cards outside of the viewport

Where?

In the comments of this task, see above.

I only see comments on how to bring the other columns within the viewport, mainly by zooming out.

Nemo_bis renamed this task from Dragging cards to columns outside of viewport is unintuitive to Dragging cards to columns outside of viewport is impossible (requires tricks to bring them within the screen).May 14 2015, 5:58 AM

As explained above, I'm moving cards beyond the viewport regularly. Pitch a card, drag it, and move the background with the cursor keys. No zooming involved.

Using cursor keys stopped working in Firefox since I think the last Phabricator update. Scrolling with the trackpad still works.

Works for me in Firefox (Iceweasel 33.0a2 (2014-08-08) for Debian) just like in Chrome (42.0.2311.152).

One detail around the "unintuitive" part is that you need to click the background of the workboard before attempting to move any card. No idea why.

I did click the background, reloaded, restarted the browser, it still didn't work. Today after reloading the same tab it works again.

Left-clicking into an empty spot of https://phabricator.wikimedia.org/project/board/67/ and using the arrow keys does nothing in Firefox 38.
Doing the same in Chrome 42 and Opera 12.16 scrolls the workboard.

Firefox bug?

That might be, I was already on version 38 when T78190#1291020 happened.

Is this supposed to be working? I can attest to the fact that dragging to off screen columns is broken on Safari and Chrome on OS X and has never worked for the best of my knowledge.

Is it really platform specific (meaning are Windows users actually able to drag to offscreen columns?)

Are the comments in this thread about using arrow keys supposed to be the solution or just a "work around" until the feature is implemented?

I keep wondering about @demon saying is not impossible it while other Mac users say it's impossible.

Scrolling is not impossible on a Mac, I do it every day. The way to drag things off the viewable browser area in a Mac (this just isn't Phabricator) is to hold the item with one finger and scroll using 2 other fingers like normal.

I can do it with Linux with Chrome and Firefox, so I cannot help. Yes, using arrow keys.

I had the problem that clicking the empty space between tasks in Firefox didn't help, but found that dragging a link from a task a few pixels and letting it go seems to do the trick. (Empty areas are not activateable, as you can not use the tab key to go to them, but links are.)

Aklapper raised the priority of this task from Low to High.Feb 8 2016, 8:27 PM

https://secure.phabricator.com/T5240#157803 has been closed as resolved in upstream so this might arrive in Wikimedia Phabricator in the next weeks (but not yet in T120013).

Aklapper claimed this task.

Changes from https://secure.phabricator.com/T5240#157803 landed in Wikimedia Phabricator via T120013 and T126797. Each column now has its own vertical scrollbar (which was the issue mentioned in the task description here). Hence closing as RESOLVED.

If there are other specific issues left, please file specific tasks with browser and OS information, screen resolution and an example workboard URL. Thanks.

It remains impossible to drag them to a column that is horizontally outside the viewport. Which has the effect of teams not creating columns that would be useful,. The obvious solution would be to allow setting a column via an action/dropdown in addition to drag-and-drop.

I'm OK leaving this task "resolved", but wanted to note that only half of the problem has been solved.